Redmine - Defect #32309

settings error in 4.0.5.devel.18786
2019-10-21 05:52 - ChunChang (Nagaharu) Lo

Status: Closed Start date:

Priority: Normal Due date:

Assignee: ChunChang (Nagaharu) Lo % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Hello,

Just get the lastest version from subversion and the settings page is broken.

Internal error
An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.
Back
ActionController::RoutingError (No route matches [GET] "/libs/js/iframe.js"):

actionpack (5.2.3) lib/action_dispatch/middleware/debug_exceptions.rb:65:in “call'

actionpack (5.2.3) lib/action_dispatch/middleware/show_exceptions.rb:33:in ‘call'

railties (5.2.3) lib/rails/rack/logger.rb:38:in “call_app'

railties (5.2.3) lib/rails/rack/logger.rb:26:in “block in call'

activesupport (5.2.3) lib/active_support/tagged_logging.rb:71:in “block in tagged'

activesupport (5.2.3) lib/active_support/tagged_logging.rb:28:in "tagged'

activesupport (5.2.3) lib/active_support/tagged_logging.rb:71:in " tagged'

railties (5.2.3) lib/rails/rack/logger.rb:26:in “call'

actionpack (5.2.3) lib/action_dispatch/middleware/remote_ip.rb:81l:in “call'

actionpack (5.2.3) lib/action_dispatch/middleware/request_id.rb:27:in “call’

rack (2.0.7) lib/rack/method_override.rb:22:in “call'

rack (2.0.7) lib/rack/runtime.rb:22:in ‘call'

activesupport (5.2.3) lib/active_support/cache/strategy/local_cache_middleware.rb:29:in “call'
actionpack (5.2.3) lib/action_dispatch/middleware/executor.rb:14:in “call'

actionpack (5.2.3) lib/action_dispatch/middleware/static.rb:127:in ‘call'

rack (2.0.7) lib/rack/content_length.rb:15:in “call’

rack (2.0.7) lib/rack/sendfile.rb:111:in “call’

railties (5.2.3) lib/rails/engine.rb:524:in “call'
/usr/share/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:97:in  process_requ
est'

/usr/share/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:149:in " accept_and
_process_next_request'
/usr/share/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:110:in "main_loop"
/usr/share/ruby/vendor_ruby/phusion_passenger/request_handler.rb:415:in "block (3 levels) in start
_threads'

/usr/share/ruby/vendor_ruby/phusion_passenger/utils.rb:113:in "block in create_thread_and_abort_on
_exception'

History

#1 - 2019-10-21 06:19 - Go MAEDA

| was not able to reproduce the problem with Redmine 4.0.5.devel.18786.

Could you describe details of how to reproduce the problem? Does "settings page" means /projects/IDENTIFIER/settings/* or /admin ?

#2 - 2019-10-21 08:24 - Marius BALTEANU
- Status changed from New to Needs feedback

- Assignee set to ChunChang (Nagaharu) Lo
libs/js/iframe.js is not part of Redmine core.

#3 - 2019-10-22 03:34 - ChunChang (Nagaharu) Lo

Hello,

this error occurs in the /settings page and the redmine instance doesn't install any 3rd-party plugins.

#4 - 2019-10-22 03:54 - ChunChang (Nagaharu) Lo
Hi,

Never mind. Just grabbed revision 18788 and the /setting works again (don't know why. i didn't do anything.)

#5 - 2019-10-22 04:02 - Go MAEDA
- Status changed from Needs feedback to Closed

Thank you for the feedback. Closing.
